
clear
use oppfragdata-replication.dta

* dropping non-partisan governments and all-party governments
drop if id==201 | id==908 | id==1306

* Figure 1
histogram enops_postele, xlab(1(1)8) width(.5) percent scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) xtitle(ENOP (seats), size(medlarge)) ytitle(Percent, size(medlarge)) plotregion(lcolor(black))

* Figure 2
scatter enops_postele enps, xlab(1(1)9) ylab(1(1)9) msymbol(oh) xsize(10) ysize(10) scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) xtitle(ENP (seats), size(medsmall)) ytitle(ENOP (seats), size(medsmall)) plotregion(lcolor(black))

* Figure 3
scatter enops_postele gsshare_a, xlab(0(10)100) ylab(1(1)8) msymbol(oh) xsize(10) ysize(10) scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) xtitle(Government's Seat Share, size(medsmall)) ytitle(ENOP (seats), size(medsmall)) plotregion(lcolor(black))

* Table 2
sort ccode id
by ccode: egen meanenops=mean(enops_postele)
by ccode: egen meaneffthr=mean(effthr)
by ccode: gen numele=_N
gsort -meanenops id
list country numele meanenops if ccode!=ccode[_n-1]
sort id

* Figure 4
replace ti=ti+1900
twoway (line enops_postele ti if country=="Australia"  , lpattern(solid)) (line enps ti if country=="Australia"  , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Australia) legend(off) name(trend1,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Austria"    , lpattern(solid)) (line enps ti if country=="Austria"     , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Austria) legend(off) name(trend2,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Belgium"    , lpattern(solid)) (line enps ti if country=="Belgium"   , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Belgium) legend(off) name(trend3,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Canada"     , lpattern(solid)) (line enps ti if country=="Canada"    , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Canada) legend(off) name(trend4,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Denmark"    , lpattern(solid)) (line enps ti if country=="Denmark" , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Denmark) legend(off) name(trend5,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Finland"    , lpattern(solid)) (line enps ti if country=="Finland"      , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Finland) legend(off) name(trend6,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="France"     , lpattern(solid)) (line enps ti if country=="France"     , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(France) legend(off) name(trend7,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Germany"    , lpattern(solid)) (line enps ti if country=="Germany" , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Germany) legend(off) name(trend8,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Greece2"    , lpattern(solid)) (line enps ti if country=="Greece2" , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Greece) legend(off) name(trend9,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Ireland"    , lpattern(solid)) (line enps ti if country=="Ireland"         , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Ireland) legend(off) name(trend10,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Italy"      , lpattern(solid)) (line enps ti if country=="Italy"               , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Italy) legend(off) name(trend11,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Japan"      , lpattern(solid)) (line enps ti if country=="Japan"           , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Japan) legend(off) name(trend12,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="NZ"         , lpattern(solid)) (line enps ti if country=="NZ"                 , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(New Zealand) legend(off) name(trend13,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Netherlands", lpattern(solid)) (line enps ti if country=="Netherlands", lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Netherlands) legend(off) name(trend14,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Norway"     , lpattern(solid)) (line enps ti if country=="Norway"     , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Norway) legend(off) name(trend15,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Spain"      , lpattern(solid)) (line enps ti if country=="Spain"      , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Spain) legend(off) name(trend16,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="Sweden"     , lpattern(solid)) (line enps ti if country=="Sweden"     , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(Sweden) legend(off) name(trend17,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
twoway (line enops_postele ti if country=="UK"         , lpattern(solid)) (line enps ti if country=="UK"         , lpattern(shortdash)), xlab(1950(20)1990) ylab(1(1)8.5) title(United Kingdom) legend(off) name(trend18,replace) xtitle(" ") scheme(s2mono) graphregion(fcolor(white) lcolor(white)) bgcolor(white) plotregion(lcolor(black))
* solid=ENOP, dashed=ENP
graph combine trend1 trend2 trend3 trend4 trend5 trend6 trend7 trend8 trend9 trend10 trend11 trend12 trend13 trend14 trend15 trend16 trend17 trend18, cols(4) xsize(8) ysize(10) iscale(.5) scheme(s2mono) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(black))

********** pooled

gen lnmag=ln(avemag)
gen dm_ale=lnmag*ethnic_ale
gen dm_sov=lnmag*ethnic_sov
gen dm_fea=lnmag*ethnic_fea
gen up_ale=uppertier*ethnic_ale

* Model 1
reg enops_postele p_comm lnmag uppertier ethnic_ale dm_ale up_ale engps_preele gsshare_a enps_b bicamopp2, cl(country)
* Model 2
reg enopv_postele p_comm lnmag uppertier ethnic_ale dm_ale up_ale engps_preele gsshare_a enps_b bicamopp2, cl(country)
* Model 3
reg enps          p_comm lnmag uppertier ethnic_ale dm_ale up_ale engps_preele enps_b bicamopp2, cl(country)
* Model 4
reg enpv          p_comm lnmag uppertier ethnic_ale dm_ale up_ale engps_preele enps_b bicamopp2, cl(country)

************************* change

***enopv_b   is the enp in vote at (t-1), for the parties that become opp after the (t-1) ele
***enopv_a   is the enp in vote at (t), for the parties that were opp before the (t) ele
***enopv_c   is change (enopv_a - enopv_b)
***
***hence, if there was no change in cabinet composition before and after the (t-1) ele (cabcom[_n-1]==0), then enopv_a[_n-1]=enopv_b 

gen cngall=1 if ccomcng==0 & _j!=1
gen cngpar=1 if cngall==1 & (id<1006 | id>1016) & country!="Finland"

* Model 5
reg enops_c p_comm enops_b gv_cng lnmag uppertier ethnic_ale dm_ale up_ale cabterm engps_preele gsshare_b elecyc enps_b bicamopp2 if cngall==1, cl(ccode)

* Model 6
reg enopv_c p_comm enopv_b gv_cng lnmag uppertier ethnic_ale dm_ale up_ale cabterm engps_preele gsshare_b elecyc enps_b bicamopp2 if cngall==1, cl(ccode)


